package speiger.src.coreengine.platform.graphics.api.shader;

import speiger.src.collections.objects.collections.ObjectIterable;
import speiger.src.coreengine.platform.graphics.api.vertex.VertexLayout;
import speiger.src.coreengine.platform.graphics.api.vertex.VertexLayout.Element;

public record VertexBinding(int bindingIndex, VertexLayout layout, int instanceOffset) {
	public ObjectIterable<Element> elements() {
		return layout.elements();
	}
}
